Generation Framework

## org.eclipse.gmf.mappings
Interface ToolOwner

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  LinkMapping, NodeMapping

All Known Implementing Classes:
  LinkMappingImpl, NodeMappingImpl

    public interface ToolOwner

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Tool Owner'.

The following features are supported:

- `Tool`

See Also:
  `GMFMapPackage.getToolOwner()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`AbstractTool` `getTool()` Returns the value of the 'Tool' reference
`void` `setTool(AbstractTool value)` Sets the value of the '`Tool`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTool

    AbstractTool getTool()

  Returns the value of the 'Tool' reference. Way to create this element

  Returns:
    the value of the 'Tool' reference.
  See Also:
    `setTool(AbstractTool)`, `GMFMapPackage.getToolOwner_Tool()`
  ** Generated **
  Model:

### setTool

    void setTool(AbstractTool value)

  Sets the value of the '`Tool`' reference.

  Parameters:
    `value` - the new value of the 'Tool' reference.
  See Also:
    `getTool()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.